from SecondLayerHLAs import SecondLayerAnalyzer
from saleae.analyzers import AnalyzerFrame


class BTDefaultHla(SecondLayerAnalyzer.SecondLayerHLA):

    def __init__(self):
        pass

    def update_ccc(self, ccc_dict: dict) -> None:
        pass

    def update_result_types(self, result_types: dict) -> None:
        pass

    def instruction_decoder(self, frame: AnalyzerFrame) -> AnalyzerFrame:
        return frame

    def handle_abort_message(self, temp_frame: AnalyzerFrame, end_time) -> AnalyzerFrame:
        pass
